﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Data;
using C1.WPF.FlexGrid;

namespace GroupPanel
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private readonly ObservableCollection<Product> _products=new ObservableCollection<Product>();

        private List<Product> _list;

        private List<Product> _list2;

        private bool _listSelect;

        public MainWindow()
        {
            InitializeComponent();

            // create a data source
            _list = new List<Product>();
            _list2=new List<Product>();

            for (int i = 0; i < 200; i++)
            {
                _list.Add(new Product());
            }

            for (int i = 0; i < 10; i++)
            {
                _list2.Add(new Product());
            }


            _flex.ItemsSource = _products;

            Refresh();
        }

        private void Refresh()
        {

            // get new data 
            _products.Clear();

            _listSelect = !_listSelect;

            List<Product> list;

            if (_listSelect)
                list = _list;
            else
                list = _list2;

            foreach (var item in list)
            {
                _products.Add(item);
            }
        }

        public ObservableCollection<Product> Products
        {
            get { return _products; }
        }
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Refresh();
        }
    }
}
